htrace-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From st...@apache.org
Subject incubator-htrace git commit: HTRACE-255 Failed finding GODEPs on mac os x (Colin Patrick McCabe)
Date Fri, 18 Sep 2015 21:01:28 GMT
Repository: incubator-htrace
Updated Branches:
  refs/heads/4.0 2dfeda23d -> 609b501e6


HTRACE-255 Failed finding GODEPs on mac os x (Colin Patrick McCabe)


Project: http://git-wip-us.apache.org/repos/asf/incubator-htrace/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-htrace/commit/609b501e
Tree: http://git-wip-us.apache.org/repos/asf/incubator-htrace/tree/609b501e
Diff: http://git-wip-us.apache.org/repos/asf/incubator-htrace/diff/609b501e

Branch: refs/heads/4.0
Commit: 609b501e6c6a1a6cbbfc3e3e40f5df1b4ef21b7a
Parents: 2dfeda2
Author: stack <stack@duboce.net>
Authored: Fri Sep 18 13:56:04 2015 -0700
Committer: stack <stack@duboce.net>
Committed: Fri Sep 18 14:01:23 2015 -0700

----------------------------------------------------------------------
 htrace-htraced/go/gobuild.sh | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-htrace/blob/609b501e/htrace-htraced/go/gobuild.sh
----------------------------------------------------------------------
diff --git a/htrace-htraced/go/gobuild.sh b/htrace-htraced/go/gobuild.sh
index f23c639..2728b8f 100755
--- a/htrace-htraced/go/gobuild.sh
+++ b/htrace-htraced/go/gobuild.sh
@@ -116,8 +116,10 @@ install)
     fi
 
     # Download dependencies into the build directory.
-    echo "godep restore..."
-    godep restore || die "failed to set up dependencies"
+    pushd "${GOBIN}/.." &> /dev/null || die "failed to cd to ${GOBIN}/.."
+    echo "${GOBIN}/godep restore..."
+    "${GOBIN}/godep" restore || die "failed to set up dependencies"
+    popd &> /dev/null
 
     # Discover the git version
     GIT_VERSION=$(git rev-parse HEAD)


Mime
View raw message